| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | List of all members
IG.Lib.ReporterConfSpeech Class Reference

This class is extension of ReporterConf that enables reporting via speech. More...

Inheritance diagram for IG.Lib.ReporterConfSpeech:
[legend]
Collaboration diagram for IG.Lib.ReporterConfSpeech:
[legend]

## Public Member Functions
| ReporterConfSpeech (ReporterBase rf)
| Constructor. More...
Public Member Functions inherited from IG.Forms.ReporterConf
| ReporterConf (ReporterForms rf)
void | HideForm ()
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose(). More...
void | ShowThread ()
| Shows a fading message in a new thread. More...
void | ShowThread (string title)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...
| ReporterConf (ReporterBase rf)
delegate void | FormDelegate (Form f)
| Reference to a function without arguments & return value. More...
delegate void | ControlDelegate (Control ct)
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose(). More...

## Protected Member Functions
override void | SetReporter (enReporterType type)
| Sets the current reporter of this calss according to the reporter type. More...
Protected Member Functions inherited from IG.Forms.ReporterConf
virtual void | ApplyGuiReporterType ()
| Applies the reporter type as specified by the form's state. More...
virtual void | SetReporter ()
| Sets the current reporter of this calss according to the private variable ReporterType. More...
void | ApplyGuiSettings ()
| Applies the settings of the user interface. More...

## Additional Inherited Members
Public Types inherited from IG.Forms.ReporterConf
enum | enReporterType { enReporterType.Basic, enReporterType.Console, enReporterType.Msgbox, enReporterType.ConsoleMsgbox }
Public Attributes inherited from IG.Forms.ReporterConf
string | Title =""
enReporterType | ReporterType
Protected Attributes inherited from IG.Forms.ReporterConf
string[] | reporters = new string[] {"Basic Reporter","Forms Reporter"}
ReporterBase | _reporter = null
bool | SpeechVisible = false
| Specifies whether the sub-panel for speech settings is visible or not. More...
Properties inherited from IG.Forms.ReporterConf
ReporterForms | reporter`[get, private set]`
bool | IsBackground`[get, set]`
ReporterBase | R`[get, set]`
| Gets or sets the reporter for reporting internal errors of this class. This is different from the reporting that is being tested. More...
ReporterBase | CurrentReporter`[get, set]`
| Gets or sets the current reporter. More...

## Detailed Description

This class is extension of ReporterConf that enables reporting via speech.

Do not use the visual builder for modifying this class! Only modify the class manually. This class should only contain overrides of certain methods such that speech is activated!

## Constructor & Destructor Documentation

IG.Lib.ReporterConfSpeech.ReporterConfSpeech | ( | ReporterBase | rf | ) |
| inline

Constructor.

Parameters

  rf | Reporter that is used for reporting errors that appear in this form.

## Member Function Documentation

override void IG.Lib.ReporterConfSpeech.SetReporter | ( | enReporterType | type | ) |
| inline protected virtual

Sets the current reporter of this calss according to the reporter type.

Parameters

  type | Specifies what type of reporter should be set.

Reimplemented from IG.Forms.ReporterConf.

References IG.Lib.ReporterConsole.Global, IG.Lib.ReporterConsoleMsgboxSpeech.Global, IG.Forms.ReporterMsgbox.Global, and IG.Lib.ReporterBase.Global.

The documentation for this class was generated from the following file:

- reportermsg/Additional/ReporterMsg_Speech/ReporterMsg_Config_Speech.cs